[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <1466536893-23355-2-git-send-email-mcgrof@kernel.org>
Date: Tue, 21 Jun 2016 12:21:26 -0700
From: "Luis R. Rodriguez" <mcgrof@...nel.org>
To: Julia.Lawall@...6.fr, Gilles.Muller@...6.fr, nicolas.palix@...g.fr,
mmarek@...e.com
Cc: linux-kernel@...r.kernel.org, akpm@...ux-foundation.org,
gregkh@...uxfoundation.org, markivx@...eaurora.org,
stephen.boyd@...aro.org, zohar@...ux.vnet.ibm.com,
broonie@...nel.org, ming.lei@...onical.com, tiwai@...e.de,
johannes@...solutions.net, chunkeey@...glemail.com,
hauke@...ke-m.de, jwboyer@...oraproject.org,
dmitry.torokhov@...il.com, dwmw2@...radead.org, jslaby@...e.com,
torvalds@...ux-foundation.org, deepa.kernel@...il.com,
cocci@...teme.lip6.fr, "Luis R. Rodriguez" <mcgrof@...nel.org>
Subject: [PATCH v3 1/8] coccicheck: move spatch binary check up
This has no functional changes. This is being done
to enable us to later use spatch binary for some
flag checking for certain features early on.
Signed-off-by: Luis R. Rodriguez <mcgrof@...nel.org>
---
scripts/coccicheck | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/scripts/coccicheck b/scripts/coccicheck
index f6627863fdc3..f137b04dfdd3 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -7,6 +7,11 @@
SPATCH="`which ${SPATCH:=spatch}`"
+if [ ! -x "$SPATCH" ]; then
+ echo 'spatch is part of the Coccinelle project and is available at http://coccinelle.lip6.fr/'
+ exit 1
+fi
+
trap kill_running SIGTERM SIGINT
declare -a SPATCH_PID
@@ -51,11 +56,6 @@ if [ "$KBUILD_EXTMOD" != "" ] ; then
OPTIONS="--patch $srctree $OPTIONS"
fi
-if [ ! -x "$SPATCH" ]; then
- echo 'spatch is part of the Coccinelle project and is available at http://coccinelle.lip6.fr/'
- exit 1
-fi
-
if [ "$MODE" = "" ] ; then
if [ "$ONLINE" = "0" ] ; then
echo 'You have not explicitly specified the mode to use. Using default "report" mode.'
--
2.8.2
Powered by blists - more mailing lists